# Examples

To help demonstrate the features and capabilities of `aframe-physics-system`
the following collection of examples have been prepared.

- [**Ammo sandbox**](ammo.html)  
  Demonstration of many [Ammo driver](../AmmoDriver.md) features in a single
  example.

- [**Cannon.js sandbox**](cannon.html)  
  Demonstration of many Cannon driver features in a single example.

- [**Compound**](compound.html)  
  Construct a [compound shape](../README.md#shape) and simulate collision with
  a ground plane using the Cannon driver.

- [**Constraints with Ammo**](constraints-ammo.html)  
  Demonstration of many
  [Ammo driver constraints](../AmmoDriver.md#ammo-constraint) including cone
  twist, hinge, lock, point to point, and slider constraints.

- [**Constraints with Cannon**](constraints.html)  
  Demonstration of many
  [Cannon driver constraints](../README.md#constraint) including cone twist,
  hinge, lock, point to point, and distance constraints.

- [**Materials**](materials.html)  
  Bounce simulation with
  [restitution (bounciness)](../README.md#system-configuration) of 1 using the
  Cannon driver.

- [**Spring**](spring.html)  
  Four vertical [springs](../README.md#spring) each between two boxes with an
  assortment of damping and stiffness values using the Cannon driver.

- [**Stress**](stress.html)  
  Apply [strong impulse](../README.md#using-the-cannonjs-api) to a cube when the
  user clicks with a mouse using the Cannon driver. Cubes are arranged in four
  4x3 walls.

- [**Sweeper**](sweeper.html)  
  Animate a long wall moving along the z-axis along the initial view direction
  using the velocity component and the Cannon driver.

- [**Time to live**](ttl.html)  
  Remove a [dynamic body](../README.md#dynamic-body-and-static-body) from the
  scene after 100 frames using the Cannon driver.
